--- etc/Makefile
+++ etc/Makefile
@@ -13,12 +13,12 @@
 	mkdir -p $(DESTDIR)/etc/logrotate.d
 	install -m 644 yum.logrotate $(DESTDIR)/etc/logrotate.d/yum
 
-	mkdir -p $(DESTDIR)/etc/rc.d/init.d
-	install -m 755 yum-updatesd.init $(DESTDIR)/etc/rc.d/init.d/yum-updatesd
+	mkdir -p $(DESTDIR)/etc/init.d
+	install -m 755 yum-updatesd.init $(DESTDIR)/etc/init.d/yum-updatesd
 
 	mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
-	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)/etc/dbus-1/system.d/yum-updatesd.conf
+	install -m 644 yum-updatesd-dbus.conf $(DESTDIR)/etc/dbus-1/system.d/yum-updatesd.conf
 
-	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
+	install -m 644 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
 
 
--- etc/yum-updatesd.init
+++ etc/yum-updatesd.init
@@ -1,63 +1,102 @@
 #!/bin/bash
 #
-# yum           This shell script enables the yum-updates daemon
-#
-# Author:       Jeremy Katz <katzj@redhat.com>
-#
-# chkconfig:	345 97 03
-#
-# description:  This is a daemon which periodically checks for updates \
-#               and can send notifications via mail, dbus or syslog.
-# processname:  yum-updatesd
-# config: /etc/yum/yum-updatesd.conf
-# pidfile: /var/run/yum-updatesd.pid
-#
+### BEGIN INIT INFO
+# Provides: yum-updatesd
+# Required-Start: $remote_fs
+# Should-Start: 
+# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: YUM update notification daemon
+# Description: This is a daemon which periodically checks for updates
+#       and can send notifications via mail, dbus or syslog.
+### END INIT INFO
+
+
+# Shell functions sourced from /etc/rc.status:
+#      rc_check         check and set local and overall rc status
+#      rc_status        check and set local and overall rc status
+#      rc_status -v     be verbose in local rc status and clear it afterwards
+#      rc_status -v -r  ditto and clear both the local and overall rc status
+#      rc_status -s     display "skipped" and exit with status 3
+#      rc_status -u     display "unused" and exit with status 3
+#      rc_failed        set local and overall rc status to failed
+#      rc_failed <num>  set local and overall rc status to <num>
+#      rc_reset         clear both the local and overall rc status
+#      rc_exit          exit appropriate to overall rc status
+#      rc_active        checks whether a service is activated by symlinks
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0	  - success
+# 1       - generic or unspecified error
+# 2       - invalid or excess argument(s)
+# 3       - unimplemented feature (e.g. "reload")
+# 4       - user had insufficient privileges
+# 5       - program is not installed
+# 6       - program is not configured
+# 7       - program is not running
+# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
 
-# source function library
-. /etc/rc.d/init.d/functions
-
-RETVAL=0
+case "$1" in
+    start)
+	echo -n "Starting yum-updatesd "
+	/sbin/startproc /usr/sbin/yum-updatesd
 
-start() {
-	echo -n $"Starting yum-updatesd: "
-	daemon +19 yum-updatesd
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/yum-updatesd
-}
-
-stop() {
-	echo -n $"Stopping yum-updatesd: "
-	killproc yum-updatesd
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/yum-updatesd
-}
-
-restart() {
-	stop
-	start
-}
+	rc_status -v
+	;;
+    stop)
+	echo -n "Shutting down yum-updatesd "
+	/sbin/killproc -TERM /usr/sbin/yum-updatesd
 
-case "$1" in
-  start)
-	start
+	rc_status -v
 	;;
-  stop) 
-	stop
+    try-restart|condrestart)
+	if test "$1" = "condrestart"; then
+		echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+	fi
+	$0 status
+	if test $? = 0; then
+		$0 restart
+	else
+		rc_reset
+	fi
+	rc_status
 	;;
-  restart|force-reload|reload)
-	restart
+    restart)
+	$0 stop
+	$0 start
+
+	rc_status
 	;;
-  condrestart)
-	[ -f /var/lock/subsys/yum-updatesd ] && restart
+    force-reload)
+	echo -n "Reload service yum-updatesd "
+	/sbin/killproc -HUP /usr/sbin/yum-updatesd
+	rc_status -v
 	;;
-  status)
-	status yum-updatesd
-	RETVAL=$?
+    reload)
+	echo -n "Reload service yum-updatesd "
+	/sbin/killproc -HUP /usr/sbin/yum-updatesd
+	rc_status -v
+
+
 	;;
-  *)
-	echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart}"
+    status)
+	echo -n "Checking for service yum-updatesd "
+	/sbin/checkproc /usr/sbin/yum-updatesd
+	rc_status -v
+	;;
+    *)
+	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
 	exit 1
+	;;
 esac
-
-exit $RETVAL
+rc_exit
